#   
# spec file for package heimdall
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           heimdall
Summary:        Samsung Mobile Device Firmware Flasher
Version:        1.4.2
Release:        1.33
License:        MIT
Group:          Hardware/Mobile
Url:            https://github.com/Benjamin-Dobell/Heimdall
Source0:        https://github.com/Benjamin-Dobell/Heimdall/archive/v1.4.2.tar.gz
Source1:        heimdall.desktop
Source11:       %{name}_32.png
Source12:       %{name}_48.png
Source99:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  cmake > 2.8.11
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  libusb-1_0-devel >= 1.0.14
BuildRequires:  zlib-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%description
Heimdall is a tool suite used to flash firmware (aka ROMs) onto
Samsung Mobile devices.

Official supported devices (but not limited to) are:
 * GT-I9000
 * GT-I9100[T]
 * GT-I9300
 * GT-I9505
 * SGH-I727
 * SGH-I777
 * SGH-I927
 * SGH-I797

%package frontend
Summary:        Samsung Galaxy S Device Firmware Flasher
Group:          Hardware/Mobile
Requires:       %{name} = %{version}

%description frontend
Heimdall is a tool suite used to flash firmware (aka ROMs) onto
Samsung Galaxy S devices.

This package contains a graphical user interface for Heimdall.

%prep
%setup -q -n Heimdall-1.4.2

%build
%cmake
%make_jobs

%install
install -D -m0755 build/bin/heimdall          %{buildroot}/%{_bindir}/%{name}
install -D -m0755 build/bin/heimdall-frontend %{buildroot}/%{_bindir}/%{name}-frontend
install -D -m0644 heimdall/60-heimdall.rules %{buildroot}/usr/lib/udev/rules.d/60-%{name}.rules
install -D -m0644 %{S:1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m0644 %{S:1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m0644 %{S:11} %{buildroot}/%{_datadir}/pixmaps/%{name}_32.png
install -D -m0644 %{S:12} %{buildroot}/%{_datadir}/pixmaps/%{name}_48.png
%if 0%{?suse_version}
%suse_update_desktop_file -r "%{name}" HardwareSettings Settings
%endif

%files
%defattr(-,root,root)
%doc Linux/README
%{_bindir}/%{name}
/usr/lib/udev

%files frontend
%defattr(-,root,root)
%doc Linux/README
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_*.png

%changelog
* Fri Jan 19 2018 jengelh@inai.de
- Replace %%__-type macro indirections.
  Trim unnecessary wording from description.
* Fri Jun 16 2017 olaf@aepfle.de
- Update to 1.4.2
* Thu Feb  2 2017 psimons@suse.com
- Update to latest Git revision v1.4.1-37-gb6fe7f8. This update
  fixes heimdall for use with Samsung S5 mini, potentially other
  phones, too.
- Download tarball from directly from github.
* Mon Apr 11 2016 olaf@aepfle.de
- update to current master 20160402.7ebee1e
  Fix for timeout bug
  https://github.com/Benjamin-Dobell/Heimdall/pull/329
* Wed Jul  2 2014 nico.kruber@gmail.com
- update to 1.4.1 (no changelog available)
- rebase heimdall-remove-udev-service-restart.patch
* Wed Mar 19 2014 chris@computersalat.de
- update to 1.4.0
  * sorry but there is no ChangeLog
- rebased patch remove-udev-service-restart.patch
- disabled obsolete totime_t-for-older-qt.patch
- updated desktop file
- added two Icon files
* Mon Sep  3 2012 seiler@b1-systems.de
- updated to version 1.3.2 (Didn't find the changelog)
* Mon Oct  3 2011 malcolmlewis@opensuse.org
- Updated to version 1.3.0:
  + Minor OS X UI tweaks.
  + Added note to OS X README about Macports libusb-1.0.
  + Added proper copyright notices to the About window and also
    updated some documentation slightly.
  + Added file extension checks to Heimdall Frontend (for
    partition files).
  + Documentation update.
  + Heimdall Frontend large font fixes.
  + Merge branch 'master' of github.com:Benjamin-Dobell/Heimdall.
  + Added Utilities tab to Heimdall Frontend.
  + Finally fixed the OS X 64-bit kext issuetest.
  + Altered the user interface slightly to prevent clipping on
    certain OS.
  + Fixed include directories for MSVC release builds.
  + Missed two READMEs, updated now.
  + Updated Linux documentation for checkinstall.
  + 1.3 documentation updates and permission fixes.
  + Merge pull request #15 from alanorth/patch-1.
  + SYSFS is deprecated. Small change.
  + Fixed several bugs related to 'common' arguments.
  + Fixed the displayed version number.
  + Updated Linux udev rules for Galaxy S II & Droid Charge.
  + Updated OS X kext to support Galaxy S II and Droid Charge.
  + More linux-specific fixes/changes.
  + Linux Makefile.am fixes.
  + 1.2.0b Heimdall command line update. Large update that adds
    lots of PIT file functionality and better support for more
  devices.
  + Made "make install" install the udev rules.
  + Re-ran autogen.sh and cleaned up slightly.
  + Windows specific changes. Includes libusb-1.0 updates.
  + Ran make distclean for libusb and universal binary support
    to heimdall-frontend.
- General spec file cleanup per spec-cleaner.
- Rebase heimdall-remove-udev-service-restart.patch.
- Add heimdall-totime_t-for-older-qt.patch to build with QT < 4.7
* Sun Feb 27 2011 pascal.bleser@opensuse.org
- initial version (1.1.1)
